Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network105.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
105.0.0.0
Broadcast address
105.255.255.255
First usable
105.0.0.1
Last usable
105.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 69000000 · Integer 1761607680 to 1778384895
Reverse DNS zone
105.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101001..00000000.00000000.00000000105.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01101001..00000000.00000000.00000000105.0.0.0
Broadcast01101001..11111111.11111111.11111111105.255.255.255
Split into smaller subnets/17

105.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1105.0.0.0/17105.0.0.1 to 105.0.127.254105.0.127.25532,766
2105.0.128.0/17105.0.128.1 to 105.0.255.254105.0.255.25532,766
3105.1.0.0/17105.1.0.1 to 105.1.127.254105.1.127.25532,766
4105.1.128.0/17105.1.128.1 to 105.1.255.254105.1.255.25532,766
5105.2.0.0/17105.2.0.1 to 105.2.127.254105.2.127.25532,766
6105.2.128.0/17105.2.128.1 to 105.2.255.254105.2.255.25532,766
7105.3.0.0/17105.3.0.1 to 105.3.127.254105.3.127.25532,766
8105.3.128.0/17105.3.128.1 to 105.3.255.254105.3.255.25532,766
9105.4.0.0/17105.4.0.1 to 105.4.127.254105.4.127.25532,766
10105.4.128.0/17105.4.128.1 to 105.4.255.254105.4.255.25532,766
11105.5.0.0/17105.5.0.1 to 105.5.127.254105.5.127.25532,766
12105.5.128.0/17105.5.128.1 to 105.5.255.254105.5.255.25532,766
13105.6.0.0/17105.6.0.1 to 105.6.127.254105.6.127.25532,766
14105.6.128.0/17105.6.128.1 to 105.6.255.254105.6.255.25532,766
15105.7.0.0/17105.7.0.1 to 105.7.127.254105.7.127.25532,766
16105.7.128.0/17105.7.128.1 to 105.7.255.254105.7.255.25532,766
17105.8.0.0/17105.8.0.1 to 105.8.127.254105.8.127.25532,766
18105.8.128.0/17105.8.128.1 to 105.8.255.254105.8.255.25532,766
19105.9.0.0/17105.9.0.1 to 105.9.127.254105.9.127.25532,766
20105.9.128.0/17105.9.128.1 to 105.9.255.254105.9.255.25532,766
21105.10.0.0/17105.10.0.1 to 105.10.127.254105.10.127.25532,766
22105.10.128.0/17105.10.128.1 to 105.10.255.254105.10.255.25532,766
23105.11.0.0/17105.11.0.1 to 105.11.127.254105.11.127.25532,766
24105.11.128.0/17105.11.128.1 to 105.11.255.254105.11.255.25532,766
25105.12.0.0/17105.12.0.1 to 105.12.127.254105.12.127.25532,766
26105.12.128.0/17105.12.128.1 to 105.12.255.254105.12.255.25532,766
27105.13.0.0/17105.13.0.1 to 105.13.127.254105.13.127.25532,766
28105.13.128.0/17105.13.128.1 to 105.13.255.254105.13.255.25532,766
29105.14.0.0/17105.14.0.1 to 105.14.127.254105.14.127.25532,766
30105.14.128.0/17105.14.128.1 to 105.14.255.254105.14.255.25532,766
31105.15.0.0/17105.15.0.1 to 105.15.127.254105.15.127.25532,766
32105.15.128.0/17105.15.128.1 to 105.15.255.254105.15.255.25532,766
33105.16.0.0/17105.16.0.1 to 105.16.127.254105.16.127.25532,766
34105.16.128.0/17105.16.128.1 to 105.16.255.254105.16.255.25532,766
35105.17.0.0/17105.17.0.1 to 105.17.127.254105.17.127.25532,766
36105.17.128.0/17105.17.128.1 to 105.17.255.254105.17.255.25532,766
37105.18.0.0/17105.18.0.1 to 105.18.127.254105.18.127.25532,766
38105.18.128.0/17105.18.128.1 to 105.18.255.254105.18.255.25532,766
39105.19.0.0/17105.19.0.1 to 105.19.127.254105.19.127.25532,766
40105.19.128.0/17105.19.128.1 to 105.19.255.254105.19.255.25532,766
41105.20.0.0/17105.20.0.1 to 105.20.127.254105.20.127.25532,766
42105.20.128.0/17105.20.128.1 to 105.20.255.254105.20.255.25532,766
43105.21.0.0/17105.21.0.1 to 105.21.127.254105.21.127.25532,766
44105.21.128.0/17105.21.128.1 to 105.21.255.254105.21.255.25532,766
45105.22.0.0/17105.22.0.1 to 105.22.127.254105.22.127.25532,766
46105.22.128.0/17105.22.128.1 to 105.22.255.254105.22.255.25532,766
47105.23.0.0/17105.23.0.1 to 105.23.127.254105.23.127.25532,766
48105.23.128.0/17105.23.128.1 to 105.23.255.254105.23.255.25532,766
49105.24.0.0/17105.24.0.1 to 105.24.127.254105.24.127.25532,766
50105.24.128.0/17105.24.128.1 to 105.24.255.254105.24.255.25532,766
51105.25.0.0/17105.25.0.1 to 105.25.127.254105.25.127.25532,766
52105.25.128.0/17105.25.128.1 to 105.25.255.254105.25.255.25532,766
53105.26.0.0/17105.26.0.1 to 105.26.127.254105.26.127.25532,766
54105.26.128.0/17105.26.128.1 to 105.26.255.254105.26.255.25532,766
55105.27.0.0/17105.27.0.1 to 105.27.127.254105.27.127.25532,766
56105.27.128.0/17105.27.128.1 to 105.27.255.254105.27.255.25532,766
57105.28.0.0/17105.28.0.1 to 105.28.127.254105.28.127.25532,766
58105.28.128.0/17105.28.128.1 to 105.28.255.254105.28.255.25532,766
59105.29.0.0/17105.29.0.1 to 105.29.127.254105.29.127.25532,766
60105.29.128.0/17105.29.128.1 to 105.29.255.254105.29.255.25532,766
61105.30.0.0/17105.30.0.1 to 105.30.127.254105.30.127.25532,766
62105.30.128.0/17105.30.128.1 to 105.30.255.254105.30.255.25532,766
63105.31.0.0/17105.31.0.1 to 105.31.127.254105.31.127.25532,766
64105.31.128.0/17105.31.128.1 to 105.31.255.254105.31.255.25532,766
65105.32.0.0/17105.32.0.1 to 105.32.127.254105.32.127.25532,766
66105.32.128.0/17105.32.128.1 to 105.32.255.254105.32.255.25532,766
67105.33.0.0/17105.33.0.1 to 105.33.127.254105.33.127.25532,766
68105.33.128.0/17105.33.128.1 to 105.33.255.254105.33.255.25532,766
69105.34.0.0/17105.34.0.1 to 105.34.127.254105.34.127.25532,766
70105.34.128.0/17105.34.128.1 to 105.34.255.254105.34.255.25532,766
71105.35.0.0/17105.35.0.1 to 105.35.127.254105.35.127.25532,766
72105.35.128.0/17105.35.128.1 to 105.35.255.254105.35.255.25532,766
73105.36.0.0/17105.36.0.1 to 105.36.127.254105.36.127.25532,766
74105.36.128.0/17105.36.128.1 to 105.36.255.254105.36.255.25532,766
75105.37.0.0/17105.37.0.1 to 105.37.127.254105.37.127.25532,766
76105.37.128.0/17105.37.128.1 to 105.37.255.254105.37.255.25532,766
77105.38.0.0/17105.38.0.1 to 105.38.127.254105.38.127.25532,766
78105.38.128.0/17105.38.128.1 to 105.38.255.254105.38.255.25532,766
79105.39.0.0/17105.39.0.1 to 105.39.127.254105.39.127.25532,766
80105.39.128.0/17105.39.128.1 to 105.39.255.254105.39.255.25532,766
81105.40.0.0/17105.40.0.1 to 105.40.127.254105.40.127.25532,766
82105.40.128.0/17105.40.128.1 to 105.40.255.254105.40.255.25532,766
83105.41.0.0/17105.41.0.1 to 105.41.127.254105.41.127.25532,766
84105.41.128.0/17105.41.128.1 to 105.41.255.254105.41.255.25532,766
85105.42.0.0/17105.42.0.1 to 105.42.127.254105.42.127.25532,766
86105.42.128.0/17105.42.128.1 to 105.42.255.254105.42.255.25532,766
87105.43.0.0/17105.43.0.1 to 105.43.127.254105.43.127.25532,766
88105.43.128.0/17105.43.128.1 to 105.43.255.254105.43.255.25532,766
89105.44.0.0/17105.44.0.1 to 105.44.127.254105.44.127.25532,766
90105.44.128.0/17105.44.128.1 to 105.44.255.254105.44.255.25532,766
91105.45.0.0/17105.45.0.1 to 105.45.127.254105.45.127.25532,766
92105.45.128.0/17105.45.128.1 to 105.45.255.254105.45.255.25532,766
93105.46.0.0/17105.46.0.1 to 105.46.127.254105.46.127.25532,766
94105.46.128.0/17105.46.128.1 to 105.46.255.254105.46.255.25532,766
95105.47.0.0/17105.47.0.1 to 105.47.127.254105.47.127.25532,766
96105.47.128.0/17105.47.128.1 to 105.47.255.254105.47.255.25532,766
97105.48.0.0/17105.48.0.1 to 105.48.127.254105.48.127.25532,766
98105.48.128.0/17105.48.128.1 to 105.48.255.254105.48.255.25532,766
99105.49.0.0/17105.49.0.1 to 105.49.127.254105.49.127.25532,766
100105.49.128.0/17105.49.128.1 to 105.49.255.254105.49.255.25532,766
101105.50.0.0/17105.50.0.1 to 105.50.127.254105.50.127.25532,766
102105.50.128.0/17105.50.128.1 to 105.50.255.254105.50.255.25532,766
103105.51.0.0/17105.51.0.1 to 105.51.127.254105.51.127.25532,766
104105.51.128.0/17105.51.128.1 to 105.51.255.254105.51.255.25532,766
105105.52.0.0/17105.52.0.1 to 105.52.127.254105.52.127.25532,766
106105.52.128.0/17105.52.128.1 to 105.52.255.254105.52.255.25532,766
107105.53.0.0/17105.53.0.1 to 105.53.127.254105.53.127.25532,766
108105.53.128.0/17105.53.128.1 to 105.53.255.254105.53.255.25532,766
109105.54.0.0/17105.54.0.1 to 105.54.127.254105.54.127.25532,766
110105.54.128.0/17105.54.128.1 to 105.54.255.254105.54.255.25532,766
111105.55.0.0/17105.55.0.1 to 105.55.127.254105.55.127.25532,766
112105.55.128.0/17105.55.128.1 to 105.55.255.254105.55.255.25532,766
113105.56.0.0/17105.56.0.1 to 105.56.127.254105.56.127.25532,766
114105.56.128.0/17105.56.128.1 to 105.56.255.254105.56.255.25532,766
115105.57.0.0/17105.57.0.1 to 105.57.127.254105.57.127.25532,766
116105.57.128.0/17105.57.128.1 to 105.57.255.254105.57.255.25532,766
117105.58.0.0/17105.58.0.1 to 105.58.127.254105.58.127.25532,766
118105.58.128.0/17105.58.128.1 to 105.58.255.254105.58.255.25532,766
119105.59.0.0/17105.59.0.1 to 105.59.127.254105.59.127.25532,766
120105.59.128.0/17105.59.128.1 to 105.59.255.254105.59.255.25532,766
121105.60.0.0/17105.60.0.1 to 105.60.127.254105.60.127.25532,766
122105.60.128.0/17105.60.128.1 to 105.60.255.254105.60.255.25532,766
123105.61.0.0/17105.61.0.1 to 105.61.127.254105.61.127.25532,766
124105.61.128.0/17105.61.128.1 to 105.61.255.254105.61.255.25532,766
125105.62.0.0/17105.62.0.1 to 105.62.127.254105.62.127.25532,766
126105.62.128.0/17105.62.128.1 to 105.62.255.254105.62.255.25532,766
127105.63.0.0/17105.63.0.1 to 105.63.127.254105.63.127.25532,766
128105.63.128.0/17105.63.128.1 to 105.63.255.254105.63.255.25532,766
129105.64.0.0/17105.64.0.1 to 105.64.127.254105.64.127.25532,766
130105.64.128.0/17105.64.128.1 to 105.64.255.254105.64.255.25532,766
131105.65.0.0/17105.65.0.1 to 105.65.127.254105.65.127.25532,766
132105.65.128.0/17105.65.128.1 to 105.65.255.254105.65.255.25532,766
133105.66.0.0/17105.66.0.1 to 105.66.127.254105.66.127.25532,766
134105.66.128.0/17105.66.128.1 to 105.66.255.254105.66.255.25532,766
135105.67.0.0/17105.67.0.1 to 105.67.127.254105.67.127.25532,766
136105.67.128.0/17105.67.128.1 to 105.67.255.254105.67.255.25532,766
137105.68.0.0/17105.68.0.1 to 105.68.127.254105.68.127.25532,766
138105.68.128.0/17105.68.128.1 to 105.68.255.254105.68.255.25532,766
139105.69.0.0/17105.69.0.1 to 105.69.127.254105.69.127.25532,766
140105.69.128.0/17105.69.128.1 to 105.69.255.254105.69.255.25532,766
141105.70.0.0/17105.70.0.1 to 105.70.127.254105.70.127.25532,766
142105.70.128.0/17105.70.128.1 to 105.70.255.254105.70.255.25532,766
143105.71.0.0/17105.71.0.1 to 105.71.127.254105.71.127.25532,766
144105.71.128.0/17105.71.128.1 to 105.71.255.254105.71.255.25532,766
145105.72.0.0/17105.72.0.1 to 105.72.127.254105.72.127.25532,766
146105.72.128.0/17105.72.128.1 to 105.72.255.254105.72.255.25532,766
147105.73.0.0/17105.73.0.1 to 105.73.127.254105.73.127.25532,766
148105.73.128.0/17105.73.128.1 to 105.73.255.254105.73.255.25532,766
149105.74.0.0/17105.74.0.1 to 105.74.127.254105.74.127.25532,766
150105.74.128.0/17105.74.128.1 to 105.74.255.254105.74.255.25532,766
151105.75.0.0/17105.75.0.1 to 105.75.127.254105.75.127.25532,766
152105.75.128.0/17105.75.128.1 to 105.75.255.254105.75.255.25532,766
153105.76.0.0/17105.76.0.1 to 105.76.127.254105.76.127.25532,766
154105.76.128.0/17105.76.128.1 to 105.76.255.254105.76.255.25532,766
155105.77.0.0/17105.77.0.1 to 105.77.127.254105.77.127.25532,766
156105.77.128.0/17105.77.128.1 to 105.77.255.254105.77.255.25532,766
157105.78.0.0/17105.78.0.1 to 105.78.127.254105.78.127.25532,766
158105.78.128.0/17105.78.128.1 to 105.78.255.254105.78.255.25532,766
159105.79.0.0/17105.79.0.1 to 105.79.127.254105.79.127.25532,766
160105.79.128.0/17105.79.128.1 to 105.79.255.254105.79.255.25532,766
161105.80.0.0/17105.80.0.1 to 105.80.127.254105.80.127.25532,766
162105.80.128.0/17105.80.128.1 to 105.80.255.254105.80.255.25532,766
163105.81.0.0/17105.81.0.1 to 105.81.127.254105.81.127.25532,766
164105.81.128.0/17105.81.128.1 to 105.81.255.254105.81.255.25532,766
165105.82.0.0/17105.82.0.1 to 105.82.127.254105.82.127.25532,766
166105.82.128.0/17105.82.128.1 to 105.82.255.254105.82.255.25532,766
167105.83.0.0/17105.83.0.1 to 105.83.127.254105.83.127.25532,766
168105.83.128.0/17105.83.128.1 to 105.83.255.254105.83.255.25532,766
169105.84.0.0/17105.84.0.1 to 105.84.127.254105.84.127.25532,766
170105.84.128.0/17105.84.128.1 to 105.84.255.254105.84.255.25532,766
171105.85.0.0/17105.85.0.1 to 105.85.127.254105.85.127.25532,766
172105.85.128.0/17105.85.128.1 to 105.85.255.254105.85.255.25532,766
173105.86.0.0/17105.86.0.1 to 105.86.127.254105.86.127.25532,766
174105.86.128.0/17105.86.128.1 to 105.86.255.254105.86.255.25532,766
175105.87.0.0/17105.87.0.1 to 105.87.127.254105.87.127.25532,766
176105.87.128.0/17105.87.128.1 to 105.87.255.254105.87.255.25532,766
177105.88.0.0/17105.88.0.1 to 105.88.127.254105.88.127.25532,766
178105.88.128.0/17105.88.128.1 to 105.88.255.254105.88.255.25532,766
179105.89.0.0/17105.89.0.1 to 105.89.127.254105.89.127.25532,766
180105.89.128.0/17105.89.128.1 to 105.89.255.254105.89.255.25532,766
181105.90.0.0/17105.90.0.1 to 105.90.127.254105.90.127.25532,766
182105.90.128.0/17105.90.128.1 to 105.90.255.254105.90.255.25532,766
183105.91.0.0/17105.91.0.1 to 105.91.127.254105.91.127.25532,766
184105.91.128.0/17105.91.128.1 to 105.91.255.254105.91.255.25532,766
185105.92.0.0/17105.92.0.1 to 105.92.127.254105.92.127.25532,766
186105.92.128.0/17105.92.128.1 to 105.92.255.254105.92.255.25532,766
187105.93.0.0/17105.93.0.1 to 105.93.127.254105.93.127.25532,766
188105.93.128.0/17105.93.128.1 to 105.93.255.254105.93.255.25532,766
189105.94.0.0/17105.94.0.1 to 105.94.127.254105.94.127.25532,766
190105.94.128.0/17105.94.128.1 to 105.94.255.254105.94.255.25532,766
191105.95.0.0/17105.95.0.1 to 105.95.127.254105.95.127.25532,766
192105.95.128.0/17105.95.128.1 to 105.95.255.254105.95.255.25532,766
193105.96.0.0/17105.96.0.1 to 105.96.127.254105.96.127.25532,766
194105.96.128.0/17105.96.128.1 to 105.96.255.254105.96.255.25532,766
195105.97.0.0/17105.97.0.1 to 105.97.127.254105.97.127.25532,766
196105.97.128.0/17105.97.128.1 to 105.97.255.254105.97.255.25532,766
197105.98.0.0/17105.98.0.1 to 105.98.127.254105.98.127.25532,766
198105.98.128.0/17105.98.128.1 to 105.98.255.254105.98.255.25532,766
199105.99.0.0/17105.99.0.1 to 105.99.127.254105.99.127.25532,766
200105.99.128.0/17105.99.128.1 to 105.99.255.254105.99.255.25532,766
201105.100.0.0/17105.100.0.1 to 105.100.127.254105.100.127.25532,766
202105.100.128.0/17105.100.128.1 to 105.100.255.254105.100.255.25532,766
203105.101.0.0/17105.101.0.1 to 105.101.127.254105.101.127.25532,766
204105.101.128.0/17105.101.128.1 to 105.101.255.254105.101.255.25532,766
205105.102.0.0/17105.102.0.1 to 105.102.127.254105.102.127.25532,766
206105.102.128.0/17105.102.128.1 to 105.102.255.254105.102.255.25532,766
207105.103.0.0/17105.103.0.1 to 105.103.127.254105.103.127.25532,766
208105.103.128.0/17105.103.128.1 to 105.103.255.254105.103.255.25532,766
209105.104.0.0/17105.104.0.1 to 105.104.127.254105.104.127.25532,766
210105.104.128.0/17105.104.128.1 to 105.104.255.254105.104.255.25532,766
211105.105.0.0/17105.105.0.1 to 105.105.127.254105.105.127.25532,766
212105.105.128.0/17105.105.128.1 to 105.105.255.254105.105.255.25532,766
213105.106.0.0/17105.106.0.1 to 105.106.127.254105.106.127.25532,766
214105.106.128.0/17105.106.128.1 to 105.106.255.254105.106.255.25532,766
215105.107.0.0/17105.107.0.1 to 105.107.127.254105.107.127.25532,766
216105.107.128.0/17105.107.128.1 to 105.107.255.254105.107.255.25532,766
217105.108.0.0/17105.108.0.1 to 105.108.127.254105.108.127.25532,766
218105.108.128.0/17105.108.128.1 to 105.108.255.254105.108.255.25532,766
219105.109.0.0/17105.109.0.1 to 105.109.127.254105.109.127.25532,766
220105.109.128.0/17105.109.128.1 to 105.109.255.254105.109.255.25532,766
221105.110.0.0/17105.110.0.1 to 105.110.127.254105.110.127.25532,766
222105.110.128.0/17105.110.128.1 to 105.110.255.254105.110.255.25532,766
223105.111.0.0/17105.111.0.1 to 105.111.127.254105.111.127.25532,766
224105.111.128.0/17105.111.128.1 to 105.111.255.254105.111.255.25532,766
225105.112.0.0/17105.112.0.1 to 105.112.127.254105.112.127.25532,766
226105.112.128.0/17105.112.128.1 to 105.112.255.254105.112.255.25532,766
227105.113.0.0/17105.113.0.1 to 105.113.127.254105.113.127.25532,766
228105.113.128.0/17105.113.128.1 to 105.113.255.254105.113.255.25532,766
229105.114.0.0/17105.114.0.1 to 105.114.127.254105.114.127.25532,766
230105.114.128.0/17105.114.128.1 to 105.114.255.254105.114.255.25532,766
231105.115.0.0/17105.115.0.1 to 105.115.127.254105.115.127.25532,766
232105.115.128.0/17105.115.128.1 to 105.115.255.254105.115.255.25532,766
233105.116.0.0/17105.116.0.1 to 105.116.127.254105.116.127.25532,766
234105.116.128.0/17105.116.128.1 to 105.116.255.254105.116.255.25532,766
235105.117.0.0/17105.117.0.1 to 105.117.127.254105.117.127.25532,766
236105.117.128.0/17105.117.128.1 to 105.117.255.254105.117.255.25532,766
237105.118.0.0/17105.118.0.1 to 105.118.127.254105.118.127.25532,766
238105.118.128.0/17105.118.128.1 to 105.118.255.254105.118.255.25532,766
239105.119.0.0/17105.119.0.1 to 105.119.127.254105.119.127.25532,766
240105.119.128.0/17105.119.128.1 to 105.119.255.254105.119.255.25532,766
241105.120.0.0/17105.120.0.1 to 105.120.127.254105.120.127.25532,766
242105.120.128.0/17105.120.128.1 to 105.120.255.254105.120.255.25532,766
243105.121.0.0/17105.121.0.1 to 105.121.127.254105.121.127.25532,766
244105.121.128.0/17105.121.128.1 to 105.121.255.254105.121.255.25532,766
245105.122.0.0/17105.122.0.1 to 105.122.127.254105.122.127.25532,766
246105.122.128.0/17105.122.128.1 to 105.122.255.254105.122.255.25532,766
247105.123.0.0/17105.123.0.1 to 105.123.127.254105.123.127.25532,766
248105.123.128.0/17105.123.128.1 to 105.123.255.254105.123.255.25532,766
249105.124.0.0/17105.124.0.1 to 105.124.127.254105.124.127.25532,766
250105.124.128.0/17105.124.128.1 to 105.124.255.254105.124.255.25532,766
251105.125.0.0/17105.125.0.1 to 105.125.127.254105.125.127.25532,766
252105.125.128.0/17105.125.128.1 to 105.125.255.254105.125.255.25532,766
253105.126.0.0/17105.126.0.1 to 105.126.127.254105.126.127.25532,766
254105.126.128.0/17105.126.128.1 to 105.126.255.254105.126.255.25532,766
255105.127.0.0/17105.127.0.1 to 105.127.127.254105.127.127.25532,766
256105.127.128.0/17105.127.128.1 to 105.127.255.254105.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses